import 'package:flutter/material.dart';

///Wraps a given wodget with an [AutomaticKeepAliveClientMixin]
class KeepAliveWidget extends StatefulWidget {
  KeepAliveWidget({
    required Key key,
    required this.child,
  }) : super(key: key);

  final Widget child;

  @override
  _KeepAliveWidgetState createState() => _KeepAliveWidgetState();
}

class _KeepAliveWidgetState extends State<KeepAliveWidget>
    with AutomaticKeepAliveClientMixin {
  @override
  Widget build(BuildContext context) {
    /// Dont't forget this
    super.build(context);

    return widget.child;
  }

  @override
  bool get wantKeepAlive => true;
}